Subject: Re: Bonding, GRO and tcp_reordering

From: Rick Jones <[email-masked]>
Date: Wed, 01 Dec 2010 11:42:11 -0800

>>You are in a maze of twisty heuristics and algorithms, all
>>interacting :)  If there are only three links in the bond, I suspect
>>the chances for spurrious fast retransmission are somewhat smaller
>>than if you had say four, based on just hand-waving on three
>>duplicate ACKs requires receipt of perhaps four out of order
>>segments.
> 
> 
> Unfortunately NIC/slot availability only stretches to three links :-(
> If you think its really worthwhile I can obtain some more dual-port nics.

Only if you want to increase the chances of reordering that triggers spurrious 
fast retransmits.

rick jones